SystemOrganization addCategory: #'Glamour-EyeSee-Presentations'!

GLMPresentation subclass: #GLMEyeSeePresentation
	instanceVariableNames: 'renderer canvas diagramBlock eyeSeeRenderer selectedElement'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-EyeSee-Presentations'!

!GLMEyeSeePresentation methodsFor: 'accessing' stamp: 'TudorGirba 4/12/2011 10:36'!
canvas
	^ canvas! !

!GLMEyeSeePresentation methodsFor: 'accessing' stamp: 'TudorGirba 4/12/2011 10:36'!
canvas: anObject
	canvas := anObject! !

!GLMEyeSeePresentation methodsFor: 'accessing' stamp: 'TudorGirba 4/12/2011 10:08'!
diagram
	^ diagramBlock ! !

!GLMEyeSeePresentation methodsFor: 'accessing' stamp: 'TudorGirba 4/12/2011 10:08'!
diagram: aBlock
	"use this one to set the "
	diagramBlock := aBlock! !

!GLMEyeSeePresentation methodsFor: 'accessing' stamp: 'TudorGirba 4/12/2011 10:28'!
eyeseeRenderer
	^ eyeSeeRenderer ifNil: [ eyeSeeRenderer := ESDiagramRenderer new]! !

!GLMEyeSeePresentation methodsFor: 'accessing' stamp: 'TudorGirba 4/12/2011 10:29'!
eyeseeRenderer: anESDiagramRenderer
	eyeSeeRenderer := anESDiagramRenderer! !

!GLMEyeSeePresentation methodsFor: 'rendering' stamp: 'TudorGirba 4/12/2011 10:23'!
renderGlamorouslyOn: aRenderer
	self registerAnnouncements.
	^aRenderer renderEyeSeePresentation: self! !

!GLMEyeSeePresentation methodsFor: 'accessing' stamp: 'TudorGirba 4/12/2011 10:22'!
renderOn: aRenderer
	self flag: 'find a smarter solution that does not depend on isKindOf:'. 
	self diagram glamourValue: (
		(self entity isKindOf: GLMMultiValue) 
				ifTrue: [(GLMMultiValue with: aRenderer) , self entity , (GLMMultiValue with: self)] 
				ifFalse: [GLMMultiValue with: aRenderer with: self entity with: self]).
	self canvas: aRenderer canvas! !

!GLMEyeSeePresentation methodsFor: 'accessing' stamp: 'AndreHora 4/27/2011 13:35'!
selectedElement 

	^ selectedElement ! !

!GLMEyeSeePresentation methodsFor: 'accessing' stamp: 'AndreHora 4/27/2011 13:35'!
selectedElement: anElement

	^ selectedElement := anElement ! !
